org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlApply

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlApply

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlApply
      extends CsdlDynamicExpression
      implements CsdlAnnotatable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlApply()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getFunction()` A QualifiedName specifying the name of the client-side function to apply.
    `List<CsdlExpression>` | `getParameters()` Returns the expressions applied to the parameters of the function
    `int` | `hashCode()`
    `CsdlApply` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlApply` | `setFunction(String function)`
    `CsdlApply` | `setParameters(List<CsdlExpression> parameters)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlApply

          public CsdlApply()

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlApply setAnnotations(List<CsdlAnnotation> annotations)

    - #### getFunction

          public String getFunction()

      A QualifiedName specifying the name of the client-side function to apply.
      OData defines three canonical functions. Services MAY support additional functions that MUST be qualified with a namespace or alias other than odata. Function names qualified with odata are reserved for this specification and its future versions.
      Returns:
        function full qualified name
      See Also:
        `Constants.CANONICAL_FUNCTION_CONCAT`, `Constants.CANONICAL_FUNCTION_FILLURITEMPLATE`, `Constants.CANONICAL_FUNCTION_URIENCODE`

    - #### setFunction

          public CsdlApply setFunction(String function)

    - #### getParameters

          public List<CsdlExpression> getParameters()

      Returns the expressions applied to the parameters of the function
      Returns:
        List of expression

    - #### setParameters

          public CsdlApply setParameters(List<CsdlExpression> parameters)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.